Perl5FilenameFilter (Jakarta-ORO 2.0.8 API)
Date: 2016-03-09

org.apache.oro.io

## Class Perl5FilenameFilter

- java.lang.Object
- - org.apache.oro.io.RegexFilenameFilter
  - - org.apache.oro.io.Perl5FilenameFilter

- All Implemented Interfaces:
    java.io.FileFilter, java.io.FilenameFilter

      public class Perl5FilenameFilter
      extends RegexFilenameFilter

  Perl5FilenameFilter is a RegexFilenameFilter subclass that filters on Perl5 regular expressions as implemented by the org.apache.oro.text.regex package, which is required to use this class.
  Since:
    1.0
  Version:
    2.0.8
  See Also:
    `RegexFilenameFilter`, `AwkFilenameFilter`, `GlobFilenameFilter`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Perl5FilenameFilter()` Same as Perl5FilenameFilter("");
    `Perl5FilenameFilter(java.lang.String regex)` Same as Perl5FilenameFilter(regex, Perl5Compiler.DEFAULT_MASK);
    `Perl5FilenameFilter(java.lang.String regex, int options)` Construct a filter initialized with the indicated regular expression and accompanying compilation options conforming to those used by `org.apache.oro.text.regex.Perl5Compiler`

  - ### Method Summary

    - ### Methods inherited from class org.apache.oro.io.RegexFilenameFilter

      `accept, accept, setFilterExpression, setFilterExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Perl5FilenameFilter

          public Perl5FilenameFilter(java.lang.String regex,
                             int options)

      Construct a filter initialized with the indicated regular expression and accompanying compilation options conforming to those used by `org.apache.oro.text.regex.Perl5Compiler`

      Parameters:
        `regex` - The regular expression on which to filter.
        `options` - A set of compilation options.
      Throws:
        `MalformedCachePatternException` - If there is an error in compiling the regular expression. This need not be caught if you are using a hard-coded expression that you know is correct. But for robustness and reliability you should catch this exception for dynamically entered expressions determined at runtime.

    - #### Perl5FilenameFilter

          public Perl5FilenameFilter(java.lang.String regex)

      Same as Perl5FilenameFilter(regex, Perl5Compiler.DEFAULT_MASK);

    - #### Perl5FilenameFilter

          public Perl5FilenameFilter()

      Same as Perl5FilenameFilter("");

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.